Debian Bug report logs - #653031
udev: uses ps (procps) but doesn't express packaging relation

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>

Date: Thu, 22 Dec 2011 23:03:01 UTC

Severity: serious

Tags: patch

Merged with 677936

Found in versions udev/175-3.1, udev/175-3, udev/175-4

Fixed in version udev/175-5

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#653031; Package udev. (Thu, 22 Dec 2011 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 22 Dec 2011 23:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: submit@bugs.debian.org
Subject: udev: uses ps (procps) but doesn't express packaging relation
Date: Thu, 22 Dec 2011 23:58:45 +0100
Package: udev
Version: 175-3
Severity: normal

Hi, udev uses ps (procps) in /etc/init.d/udev, while it does not list 
it as package dependency. This leads to this error message on minimal 
installations lacking the procps package (real system with a kernel 
supporting containers):
	/etc/init.d/udev: 131: /etc/init.d/udev: ps: not found
	udev does not support containers, not started ... (warning).

Both error messages vanish after installing procps.

Regards
	Stefan Lippers-Hollmann

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2-rc6-aptosid-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]  1.5.41
ii  libc6                  2.13-23
ii  libselinux1            2.1.0-4
ii  libudev0               175-3
ii  lsb-base               3.2-28
ii  util-linux             2.20.1-1

Versions of packages udev recommends:
ii  pciutils  1:3.1.8-2
ii  usbutils  1:005-1

udev suggests no packages.

-- debconf information excluded




Severity set to 'serious' from 'normal' Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Mon, 30 Jul 2012 02:57:03 GMT) Full text and rfc822 format available.

Marked as found in versions udev/175-3.1. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Mon, 30 Jul 2012 02:57:04 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Mon, 30 Jul 2012 02:57:04 GMT) Full text and rfc822 format available.

Merged 653031 677936 Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Mon, 30 Jul 2012 02:57:05 GMT) Full text and rfc822 format available.

Message #14 received at 677936-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 677936-close@bugs.debian.org
Subject: Bug#677936: fixed in udev 175-4
Date: Mon, 30 Jul 2012 04:02:16 +0000
Source: udev
Source-Version: 175-4

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677936@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Jul 2012 05:36:46 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.2-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 175-4
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.2-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 651941 652549 654282 657948 659652 660005 666223 674773 677936
Changes: 
 udev (175-4) unstable; urgency=low
 .
   * Stop trying to load the unix module in the initramfs hook.
     (Closes: #654282)
   * Load again the obsolete sg driver disabled in 175-1, because other
     packages still use it. (Closes: #657948)
   * Do not generate persistent rules for Virtualbox network interfaces.
     (Closes: #659652)
   * Added a new debconf translation: po. (Closes: #660005)
   * Made udev depend on psmisc because it uses ps in the init script.
     (Closes: #677936)
   * Do not try to start udevd in postinst in containers. (See #620921.)
     (Closes: #651941)
   * Always use --user root with start-stop-daemon --name. (Closes: #652549)
   * Removed -lrt from the libudev pkg-config file. (Closes: #674773)
   * Moved 60-persistent-input.rules back from udev-gtk-udeb to udev-udeb.
     (Closes: #666223)
Checksums-Sha1: 
 05715d25c94a27b157b94cbdb13d2391308a22da 1792 udev_175-4.dsc
 a75b4b323d7e5f360ca3c0f4ce95cad62251e2cf 89596 udev_175-4.debian.tar.gz
 984fae074531a92622193ab713a44be960c0000a 374600 udev_175-4_i386.deb
 4f92df948111c45f12e830224249e3c4e8d0a839 127816 libudev0_175-4_i386.deb
 064b5c7e539ffd6fe91b99ea8d689c50614fe35c 61538 libudev-dev_175-4_i386.deb
 1d5f9cbb08bc563b2db448141e9238283ffc7525 104078 udev-udeb_175-4_i386.udeb
 23d6cd63ec582a297febf5e1f78627986c24afc4 22134 udev-gtk-udeb_175-4_i386.udeb
 82b63380aff9cbd885f54b0ec5ce50b743a4cc21 112178 libgudev-1.0-0_175-4_i386.deb
 7b918e51dbd48b91d9aa4abecac93c6abb16fde8 3004 gir1.2-gudev-1.0_175-4_i386.deb
 c9c546b2c0c6448e0d9086735d9917cb96dbcf55 42356 libgudev-1.0-dev_175-4_i386.deb
Checksums-Sha256: 
 64fe4281124ebda1efdda219f6ec539d4ca676ec647dcc5901cb6c31c715f3ea 1792 udev_175-4.dsc
 8980af61293cd0d144daaf566e3011ab33d8614219482663e8ae8842408bf8e0 89596 udev_175-4.debian.tar.gz
 3b27e552dc1c70282efd7481476d1a02c63c96eb855eadec1bbd2c15c40556e5 374600 udev_175-4_i386.deb
 d2acb1cbf0877329c1919dd81ab58e1858c48e763dd31c04f918f43e2ace0c15 127816 libudev0_175-4_i386.deb
 2c115c58a8729c1200278f3657a967cf87048db84857807fb264c02163a3c46c 61538 libudev-dev_175-4_i386.deb
 ec783aada7e6a36e4d967a3d3aa9de39471c997db195d54c02199855df05114f 104078 udev-udeb_175-4_i386.udeb
 69351156e508bd685310317e0cbcc1f3b939ff5998bd5699914e6848ffa3d5fa 22134 udev-gtk-udeb_175-4_i386.udeb
 eaad05990d0a54ef046cc92d9034bcfaf9f7611441843d13dad2733bfaea800e 112178 libgudev-1.0-0_175-4_i386.deb
 0aedd6a5ea86f47b38536226ec66b70dd1d2a3067065552f389e489fb1968d1f 3004 gir1.2-gudev-1.0_175-4_i386.deb
 eebdb04fbd12d1647324767d1c691de97a9003a81031a14336a2070102668ecc 42356 libgudev-1.0-dev_175-4_i386.deb
Files: 
 926b3021cf3dfb15326724a723c7e420 1792 admin important udev_175-4.dsc
 ab3175dccec1d685221656ff5c5186d6 89596 admin important udev_175-4.debian.tar.gz
 6678e5c656b53f9902092f0d3d60be39 374600 admin important udev_175-4_i386.deb
 a66981e01972154e5964646e503b85bf 127816 libs important libudev0_175-4_i386.deb
 73ce9ea6a1e97ccc92de907868a6dbe3 61538 libdevel optional libudev-dev_175-4_i386.deb
 670a77e5a0cd3fef5397ee41a8abb46d 104078 debian-installer important udev-udeb_175-4_i386.udeb
 98637bfa1dae1bd3e3f5f7ba4c3b8c79 22134 debian-installer optional udev-gtk-udeb_175-4_i386.udeb
 339a0aa16a99b1be66aed00628d6c7a2 112178 libs optional libgudev-1.0-0_175-4_i386.deb
 3e0ac9a150e866797962cd2ad5b34d61 3004 introspection optional gir1.2-gudev-1.0_175-4_i386.deb
 4484badb7cec69a365e83c84c5720bae 42356 libdevel optional libgudev-1.0-dev_175-4_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAWAaIACgkQFGfw2OHuP7EUzQCeOm9RiDUDPKWWDAjpqaMKyiKM
ilUAn3tux+jxiSdZBH/RJQO3JFRgiaZ2
=u2+t
-----END PGP SIGNATURE-----




Marked as found in versions udev/175-4; no longer marked as fixed in versions udev/175-4 and reopened. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 30 Jul 2012 16:36:10 GMT) Full text and rfc822 format available.

Message #17 received at 677936-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 677936-close@bugs.debian.org
Subject: Bug#677936: fixed in udev 175-5
Date: Mon, 30 Jul 2012 17:47:27 +0000
Source: udev
Source-Version: 175-5

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677936@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Jul 2012 18:37:12 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.2-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 175-5
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.2-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 677936
Changes: 
 udev (175-5) unstable; urgency=low
 .
   * Made udev depend on procps because it uses ps in the init script.
     (Closes: #677936)
Checksums-Sha1: 
 a6f26266b84b7c4dd8f9dcb8de6c2705746be3d5 1792 udev_175-5.dsc
 7b8c37af6b5d4ab1911ce6d01d381b4011fbaf00 89521 udev_175-5.debian.tar.gz
 068f8cf0f4f9e833b61cb433feab114cfb7ecc42 374582 udev_175-5_i386.deb
 f7d0901be4c88d7d26361146a82f367413ec20c2 127846 libudev0_175-5_i386.deb
 f520d31eb9e127e6c112a47e4e5dc53161d624dd 61542 libudev-dev_175-5_i386.deb
 d46131263b897dd03909214c2b1ca6355ce464f9 104088 udev-udeb_175-5_i386.udeb
 007ee57dbc83754e1ef8d7295d80bf51e3cf4142 22134 udev-gtk-udeb_175-5_i386.udeb
 1123b86062d530c68da8183cb8434e70e8f55301 112192 libgudev-1.0-0_175-5_i386.deb
 28dcedc078e76cbcbc0b596064a90172bdc43781 3006 gir1.2-gudev-1.0_175-5_i386.deb
 e8b54e42f991ab464344feb6982846c4a1766573 42376 libgudev-1.0-dev_175-5_i386.deb
Checksums-Sha256: 
 940b939237c0fae5b7d92ac0453458a277d40b6341a2079f4daec7cb6a69b3a8 1792 udev_175-5.dsc
 b529cfc501d90aba04dbe1b19d99317dfa70a6d97674a0a82e367bb340914c0f 89521 udev_175-5.debian.tar.gz
 2dea1c2166d48fbcf82919166bc4b9b96b422495a490c1786bd5d506ebef7090 374582 udev_175-5_i386.deb
 fded563f060e6e2eef8ee7f97045f265dfa55c351e130572236033b33a92dc2c 127846 libudev0_175-5_i386.deb
 a7285b10e288d10804705224e64f2d7a3dc71331670953ca81bf7532d7aeac76 61542 libudev-dev_175-5_i386.deb
 6a3a963a7b3f368db372c2c1606c278567f610303dfc670f64f1d56ea1df6cf5 104088 udev-udeb_175-5_i386.udeb
 92c0d869f86849c77a4256e2a7269f38755f5cfa77bf75447827b2d20567d969 22134 udev-gtk-udeb_175-5_i386.udeb
 a538c8d191c0ba9303946526c4ea48a3d46fa37b3e49551eeb73fba29d34f244 112192 libgudev-1.0-0_175-5_i386.deb
 5b084c45ce58314eecdb9091f3d14b00f25a5cab944bfea94c7d2a0c88fe4c7c 3006 gir1.2-gudev-1.0_175-5_i386.deb
 559b769e2fdebe406d4b45c742641dd0c66e4aa73da12af9e9f1aab136c5e4ed 42376 libgudev-1.0-dev_175-5_i386.deb
Files: 
 96c74f315f2af23afad311cde6326153 1792 admin important udev_175-5.dsc
 5d172997a1cb846ac15fba1e3d23c21f 89521 admin important udev_175-5.debian.tar.gz
 077b400f06ac7dc8c87c8d0fd80c9d72 374582 admin important udev_175-5_i386.deb
 4dfd87479e8f90040f1cf88117631cc6 127846 libs important libudev0_175-5_i386.deb
 9b8e916fc9c601495e1b83a3000a9bb2 61542 libdevel optional libudev-dev_175-5_i386.deb
 c13f8e48cfbbe4dfbbc1e24e4ca7ef78 104088 debian-installer important udev-udeb_175-5_i386.udeb
 24cd88ea5b3bbd156d71900b068adbf6 22134 debian-installer optional udev-gtk-udeb_175-5_i386.udeb
 5d783495215596c6c1f6c3a677e3eeca 112192 libs optional libgudev-1.0-0_175-5_i386.deb
 fe6d3ac898ef07aa766a4cf21027b6c6 3006 introspection optional gir1.2-gudev-1.0_175-5_i386.deb
 dcc98e32c5f44c7e7e75cfadddaf86fc 42376 libdevel optional libgudev-1.0-dev_175-5_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAWuMYACgkQFGfw2OHuP7ECyQCfa7wqZ32Gqmux7/ZSESIQz58K
hQkAn2xnEzCFlXbVuDx6th05+R4wedpI
=xtsS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Aug 2012 07:26:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:59:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.